Blogs

Embarcadero Rad Studio XE4 supported

TatukGIS Developer Kernel 10 for VCL now supports the newly released Embarcadero RAD Studio XE4.

At the moment, the DK-VCL edition supports the following versions:
  • XE4
  • XE3
  • XE2
  • XE
  • 2010
  • 2009
  • 2007
We will discontinue RAD Studio 2007 support very soon. From that time, we will maintain only Unicode versions. So, if you are still using Delphi/C++Builder version 2007, it is definitely now time to consider upgrading to a newer version.

Generally the TatukGIS practice is to support the 5 most recent versions of the Embarcadero development platform. It was easier to keep this scheme as long as Embarcadero released a product upgrade once a year. Release XE4 a bit breaks this tradition.

You can take a look at support.embarcadero.com/article/37740 to see the DK support status for each different RAD Studio version. Support for "de-supported" Embarcadero versions is subject to reasonable limits reflecting TatukGIS time and resource constraints.

Our general guideline is to support RAD Studio releases for +/- 5 years after the launch date. Therefore, please plan on support for various RAD Studio versions being discontinued in accordance with the following schedule:
  • RAD Studio 2007 - fall of 2013 (but should have been fall of 2012); TRIAL version support will be discontinued immediately
  • RAD Studio 2009 - fall of 2013
  • RAD Studio 2010 - fall of 2014
  • RAD Studio XE - fall of 2015
  • RAD Studio XE2 - fall of 2016
  • RAD Studio XE3 - fall of 2017
     
To take this explanation a bit further, the Delphi development language recently contains interesting new features on which we wish to prioritize our efforts, as opposed to staying hooked to old compilers.
Posted: April 26, 2013 | with 0 comments
Comments
Blog post currently doesn't have any comments.
To add comment please sign in first
User name:  
Forgotten password
follow us on Facebook  follow us on Twitter  follow us on Google +  follow us on LinkedIn  Embarcadero